Bug 885611 - [logs] DB installation log should display timestamps
[logs] DB installation log should display timestamps
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-setup (Show other bugs)
3.1.0
All Linux
unspecified Severity medium
: ---
: 3.2.0
Assigned To: Sandro Bonazzola
Ilanit Stein
integration
:
Depends On:
Blocks: 917401
  Show dependency treegraph
 
Reported: 2012-12-10 03:37 EST by Gadi Ickowicz
Modified: 2014-08-21 21:41 EDT (History)
10 users (show)

See Also:
Fixed In Version: sf-9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
example log produced by the patch (21.19 KB, text/x-log)
2013-02-20 11:20 EST, Sandro Bonazzola
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 12238 None None None Never

  None (edit)
Description Gadi Ickowicz 2012-12-10 03:37:03 EST
Description of problem:
DB installation log should display timestamps

Version-Release number of selected component (if applicable):
rhevm-3.1.0-32.el6ev.noarch

Actual results:
db-install log does not show timestamps

log:
#engine db installer log file on jenkins-vm-06.qa.lab.tlv.redhat.com
[engine-db-install] verifying required rpms are installed.
postgresql-server-8.4.13-1.el6_3.x86_64
postgresql-8.4.13-1.el6_3.x86_64
postgresql-libs-8.4.13-1.el6_3.x86_64
postgresql-contrib-8.4.13-1.el6_3.x86_64
uuid-1.6.1-10.el6.x86_64
[engine-db-install] verifying postgres service exists.
[engine-db-install] init postgres db.
[engine-db-install] psgql db already been initialized.
[engine-db-install] changing authentication scheme from peer to ident.
[engine-db-install] changing authentication scheme from ident to trust.
[engine-db-install] stop postgres service.
Stopping postgresql service: [  OK  ]
[engine-db-install] starting postgres service.
Starting postgresql service: [FAILED]
Comment 1 Sandro Bonazzola 2013-02-20 11:20:07 EST
Created attachment 700127 [details]
example log produced by the patch

I've attached an engine-db-install log produced with the submitted patch for review.
Comment 2 Sandro Bonazzola 2013-02-21 09:24:35 EST
patch 12238 merged upstream master: http://gerrit.ovirt.org/gitweb?p=ovirt-engine.git;a=commit;h=12a64a5ae9a68a09effd994875e18f6ba3585d02
Comment 4 Ilanit Stein 2013-04-07 09:57:24 EDT
Verfied on sf-13:


2013-04-07 12:48:42 PM [engine-db-install] #engine db installer log file on istein-32.qa.lab.tlv.redhat.com
2013-04-07 12:48:42 PM [engine-db-install] verifying required rpms are installed.
postgresql-server-8.4.13-1.el6_3.x86_64
postgresql-8.4.13-1.el6_3.x86_64
postgresql-libs-8.4.13-1.el6_3.x86_64
2013-04-07 12:48:42 PM [engine-db-install] verifying postgres service exists.
2013-04-07 12:48:42 PM [engine-db-install] init postgres db.
2013-04-07 12:48:42 PM [engine-db-install] psgql db already been initialized.
2013-04-07 12:48:42 PM [engine-db-install] changing authentication scheme from peer to ident.
2013-04-07 12:48:42 PM [engine-db-install] changing authentication scheme from ident to trust.
2013-04-07 12:48:42 PM [engine-db-install] stop postgres service.
Stopping postgresql service: [  OK  ]^M
2013-04-07 12:48:44 PM [engine-db-install] starting postgres service.
Starting postgresql service: [  OK  ]^M
2013-04-07 12:48:46 PM [engine-db-install] validating that postgres service is running...retry 1
psql: could not connect to server: Connection refused
        Is the server running on host "localhost" and accepting
        TCP/IP connections on port 5432?
could not connect to server: Connection refused
        Is the server running on host "localhost" and accepting
        TCP/IP connections on port 5432?
2013-04-07 12:48:47 PM [engine-db-install] validating that postgres service is running...retry 2
 ?column?
----------
        1
(1 row)
Comment 5 Itamar Heim 2013-06-11 05:29:26 EDT
3.2 has been released
Comment 6 Itamar Heim 2013-06-11 05:32:07 EDT
3.2 has been released
Comment 7 Itamar Heim 2013-06-11 05:47:55 EDT
3.2 has been released

Note You need to log in before you can comment on or make changes to this bug.